- Update a topic in the program
Create a topic in the program
List all topics in the program
List all followers of a topic
List pages for a topic
Fetch a collection of content
Create a new content post
Fetch the details of a content post
Update an existing content post
Archive an existing content post
Draft an existing content post
Publish an existing content post
Mark an existing post as ready for review
List the comments on a content post
List the replies on comment post
Add an image to a content post
Add a video for use in content of type article
Remove an image from a content post
Fetch content replications
Get a download URL for a content video
Fetch the unique count of users who can see the content post
Update a topic in the pro...
Updates a topic in the program
Security
oauth2_as_a_user(Required scopes: content.write) or oauth2_as_a_server(Required scopes: content.write)
Attributes of the topic to update.
The state of the topic. One of: archived, hidden, or published.
Enum:"active""published""hidden""available""archived"
Example:"published"
A list of the audiences this topic is targeted to.
Example:
[ "group1", "group2" ]
- US1https://partner.socialchorus.com/v2/channels/{channel_id}
- US2https://partner.us2.onfirstup.com/v2/channels/{channel_id}
- EUhttps://partner.onfirstup.eu/v2/channels/{channel_id}
- oauth2_as_a_user
- oauth2_as_a_server
curl -i -X PUT \
'https://partner.socialchorus.com/v2/channels/{channel_id}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"name": "Company News",
"description": "All the latest from our company.",
"state": "published",
"auto_publish": true,
"auto_follow": true,
"auto_follow_mandatory": true,
"recommended": true,
"targeted": true,
"user_submittable": true,
"groups": [
"group1",
"group2"
],
"contributors": [
1,
2
],
"promoted": true
}'Response
{ "data": { "name": "Company News", "description": "All the latest from our company.", "state": "published", "auto_publish": true, "auto_follow": true, "auto_follow_mandatory": true, "recommended": true, "targeted": true, "user_submittable": true, "groups": [ … ], "contributor_count": 12, "contributors": [ … ], "follower_count": 1000, "created_at": "2000-01-01T00:00:00Z", "updated_at": "2000-01-01T00:00:00Z", "promoted": true, "id": 789 } }